=== includes/CMakeLists.txt ===
install(FILES
	KGameClock
	KGamePopupItem
	KGameRenderedItem
	KGameRenderedObjectItem
	KGameRenderer
	KGameRendererClient
	KgAudioScene
	KgDeclarativeView
	KgDifficulty
	KgSound
	KgTheme
	KgThemeProvider
	KgThemeSelector
	KHighscore
	KScoreDialog
	KStandardGameAction
DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KF5KDEGames/KDE COMPONENT Devel)
