=== debian/changelog ===
libkdegames (4:20.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkf5kdegames-dev, qml-module-org-kde-games-core: Add Multi-Arch: same.

  [ Pino Toscano ]
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.57.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the patches:
    - incomplete_header: drop, the buggy header was dropped upstream
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Update symbols files.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 21:08:32 +0100
