## libkdegames 20.12.3

=== debian/changelog ===
libkdegames (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:07 +0000

libkdegames (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:01:33 +0000

libkdegames (4:20.12.1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jan 2021 17:34:18 +0000

libkdegames (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:34:44 +0000

libkdegames (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:58:50 +0000
