=== debian/control ===
--- 
+++ 
@@ -12,28 +12,28 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.57.0~),
                gettext,
-               libkf5archive-dev (>= 5.57.0~),
-               libkf5bookmarks-dev (>= 5.57.0~),
-               libkf5codecs-dev (>= 5.57.0~),
-               libkf5completion-dev (>= 5.57.0~),
-               libkf5config-dev (>= 5.57.0~),
-               libkf5configwidgets-dev (>= 5.57.0~),
-               libkf5coreaddons-dev (>= 5.57.0~),
-               libkf5crash-dev (>= 5.57.0~),
-               libkf5dbusaddons-dev (>= 5.57.0~),
-               libkf5declarative-dev (>= 5.57.0~),
-               libkf5dnssd-dev (>= 5.57.0~),
-               libkf5globalaccel-dev (>= 5.57.0~),
-               libkf5guiaddons-dev (>= 5.57.0~),
-               libkf5i18n-dev (>= 5.57.0~),
-               libkf5iconthemes-dev (>= 5.57.0~),
-               libkf5itemviews-dev (>= 5.57.0~),
-               libkf5jobwidgets-dev (>= 5.57.0~),
-               libkf5newstuff-dev (>= 5.57.0~),
-               libkf5service-dev (>= 5.57.0~),
-               libkf5textwidgets-dev (>= 5.57.0~),
-               libkf5widgetsaddons-dev (>= 5.57.0~),
-               libkf5xmlgui-dev (>= 5.57.0~),
+               libkf5archive-dev (>= 5.46.0~),
+               libkf5bookmarks-dev (>= 5.46.0~),
+               libkf5codecs-dev (>= 5.46.0~),
+               libkf5completion-dev (>= 5.46.0~),
+               libkf5config-dev (>= 5.46.0~),
+               libkf5configwidgets-dev (>= 5.46.0~),
+               libkf5coreaddons-dev (>= 5.46.0~),
+               libkf5crash-dev (>= 5.46.0~),
+               libkf5dbusaddons-dev (>= 5.46.0~),
+               libkf5declarative-dev (>= 5.46.0~),
+               libkf5dnssd-dev (>= 5.46.0~),
+               libkf5globalaccel-dev (>= 5.46.0~),
+               libkf5guiaddons-dev (>= 5.46.0~),
+               libkf5i18n-dev (>= 5.46.0~),
+               libkf5iconthemes-dev (>= 5.46.0~),
+               libkf5itemviews-dev (>= 5.46.0~),
+               libkf5jobwidgets-dev (>= 5.46.0~),
+               libkf5newstuff-dev (>= 5.46.0~),
+               libkf5service-dev (>= 5.46.0~),
+               libkf5textwidgets-dev (>= 5.46.0~),
+               libkf5widgetsaddons-dev (>= 5.46.0~),
+               libkf5xmlgui-dev (>= 5.46.0~),
                libopenal-dev,
                libqt5svg5-dev (>= 5.9.0~),
                libsndfile1-dev,
@@ -45,8 +45,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdegames
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdegames.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
 
 Package: kdegames-card-data-kf5
 Architecture: all
@@ -58,6 +58,17 @@
  .
  This package is part of the KDE games module.
 
+Package: libkf5kdegames-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Description: shared library for KDE games - data files
+ This package contains a shared library used by KDE games.
+ .
+ This package is part of the KDE games module.
+
 Package: libkf5kdegames-dev
 Architecture: any
 Section: libdevel
@@ -65,9 +76,9 @@
          libkf5config-dev,
          libkf5configwidgets-dev,
          libkf5i18n-dev,
-         libkf5widgetsaddons-dev,
          libkf5kdegames7 (= ${binary:Version}),
          libkf5kdegamesprivate1 (= ${binary:Version}),
+         libkf5widgetsaddons-dev,
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
          ${misc:Depends},
@@ -81,9 +92,9 @@
 Package: libkf5kdegames7
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
+Depends: libkf5kdegames-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: shared library for KDE games
  This package contains a shared library used by KDE games.
  .
