=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
          libkf5configwidgets-dev,
          libkf5i18n-dev,
          libkf5kdegames7 (= ${binary:Version}),
-         libkf5kdegamesprivate1 (= ${binary:Version}),
+         libkf5kdegamesprivate7 (= ${binary:Version}),
          libkf5widgetsaddons-dev,
          qtbase5-dev (>= 5.9.0~),
          qtdeclarative5-dev (>= 5.9.0~),
@@ -100,10 +100,12 @@
  .
  This package is part of the KDE games module.
 
-Package: libkf5kdegamesprivate1
+Package: libkf5kdegamesprivate7
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5kdegamesprivate1 (<< 4:21.03.90~)
+Replaces: libkf5kdegamesprivate1 (<< 4:21.03.90~)
 Description: private part of shared library for KDE games
  This package contains the private parts of the shared library used by KDE
  games.
@@ -120,3 +122,11 @@
  in QML.
  .
  This package is part of the KDE games module.
+
+Package: libkf5kdegamesprivate1
+Depends: libkf5kdegamesprivate7, ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
