=== debian/changelog ===
libkdegames (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - libkf5kdegames-data package for translations.
    - Kubuntu Vcs fields.
    - Keep Kubuntu symbols files.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sun, 06 Mar 2022 10:09:46 +0000

libkdegames (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.0, no changes needed.
  * Drop the kde-l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump Qt packages to 5.15.0
    - bump KF packages to 5.85.0
    - drop no more needed: libkf5bookmarks-dev, libkf5codecs-dev,
      libkf5coreaddons-dev, libkf5crash-dev, libkf5dbusaddons-dev,
      libkf5globalaccel-dev, libkf5itemviews-dev, libkf5jobwidgets-dev, and
      libkf5textwidgets-dev
    - mark xauth, and xvfb as !nocheck, as they are needed only during
      dh_auto_test
  * Drop the libkf5config-dev, and libkf5i18n-dev dependencies from
    libkf5kdegames-dev, as they are no more needed.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Mar 2022 10:03:52 +0100

libkdegames (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:18:02 +0000

libkdegames (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:24:37 +0000

libkdegames (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:32:26 +0000

libkdegames (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:29:31 +0000

libkdegames (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:24:48 +0000

libkdegames (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:31:59 +0000

libkdegames (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:47:10 +0000

libkdegames (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:34:47 +0900

libkdegames (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:53:14 +0900

libkdegames (4:21.04.0-2) experimental; urgency=medium

  [ Norbert Preining ]
  * Fix symbols on 32bit archs.

 -- Norbert Preining <norbert@preining.info>  Mon, 10 May 2021 11:57:16 +0900

libkdegames (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.
  * kdegamesprivate library: so version bump
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 11:41:03 +0900
