=== debian/control ===
Source: libkdegames
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               libkf5archive-dev (>= 5.85.0~),
               libkf5completion-dev (>= 5.85.0~),
               libkf5config-dev (>= 5.85.0~),
               libkf5configwidgets-dev (>= 5.85.0~),
               libkf5declarative-dev (>= 5.85.0~),
               libkf5dnssd-dev (>= 5.85.0~),
               libkf5guiaddons-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5iconthemes-dev (>= 5.85.0~),
               libkf5newstuff-dev (>= 5.85.0~),
               libkf5service-dev (>= 5.85.0~),
               libkf5widgetsaddons-dev (>= 5.85.0~),
               libkf5xmlgui-dev (>= 5.85.0~),
               libopenal-dev,
               libqt5svg5-dev (>= 5.15.0~),
               libsndfile1-dev,
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkdegames

Package: kdegames-card-data-kf5
Architecture: all
Section: games
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: card decks for KDE games
 This package contains a collection of playing card themes for KDE card games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: shared library for KDE games - data files
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames-dev
Architecture: any
Section: libdevel
Depends: libkf5completion-dev (>= 5.85.0~),
         libkf5configwidgets-dev (>= 5.85.0~),
         libkf5kdegames7 (= ${binary:Version}),
         libkf5kdegamesprivate7 (= ${binary:Version}),
         libkf5widgetsaddons-dev (>= 5.85.0~),
         qtbase5-dev (>= 5.15.0~),
         qtdeclarative5-dev (>= 5.15.0~),
         ${misc:Depends},
Multi-Arch: same
Description: development files for the KDE games library
 This package contains development files for building software that uses
 libraries from the KDE games module.
 .
 This package is part of the KDE games module.

Package: libkf5kdegames7
Architecture: any
Multi-Arch: same
Depends: libkf5kdegames-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: shared library for KDE games
 This package contains a shared library used by KDE games.
 .
 This package is part of the KDE games module.

Package: libkf5kdegamesprivate7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5kdegamesprivate1 (<< 4:21.03.90~)
Replaces: libkf5kdegamesprivate1 (<< 4:21.03.90~)
Description: private part of shared library for KDE games
 This package contains the private parts of the shared library used by KDE
 games.
 .
 This package is part of the KDE games module.

Package: qml-module-org-kde-games-core
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: kde-games-core QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-games-core to components written
 in QML.
 .
 This package is part of the KDE games module.
